## UDisksFilesystem

UDisksFilesystem — Generated C code for the org.freedesktop.UDisks2.Filesystem D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_filesystem_interface_info ()
guint | udisks_filesystem_override_properties ()
void | udisks_filesystem_call_mount ()
gboolean | udisks_filesystem_call_mount_finish ()
gboolean | udisks_filesystem_call_mount_sync ()
void | udisks_filesystem_complete_mount ()
void | udisks_filesystem_call_unmount ()
gboolean | udisks_filesystem_call_unmount_finish ()
gboolean | udisks_filesystem_call_unmount_sync ()
void | udisks_filesystem_complete_unmount ()
void | udisks_filesystem_call_resize ()
gboolean | udisks_filesystem_call_resize_finish ()
gboolean | udisks_filesystem_call_resize_sync ()
void | udisks_filesystem_complete_resize ()
void | udisks_filesystem_call_check ()
gboolean | udisks_filesystem_call_check_finish ()
gboolean | udisks_filesystem_call_check_sync ()
void | udisks_filesystem_complete_check ()
void | udisks_filesystem_call_repair ()
gboolean | udisks_filesystem_call_repair_finish ()
gboolean | udisks_filesystem_call_repair_sync ()
void | udisks_filesystem_complete_repair ()
void | udisks_filesystem_call_take_ownership ()
gboolean | udisks_filesystem_call_take_ownership_finish ()
gboolean | udisks_filesystem_call_take_ownership_sync ()
void | udisks_filesystem_complete_take_ownership ()
void | udisks_filesystem_call_set_label ()
gboolean | udisks_filesystem_call_set_label_finish ()
gboolean | udisks_filesystem_call_set_label_sync ()
void | udisks_filesystem_complete_set_label ()
const gchar *const * | udisks_filesystem_get_mount_points ()
gchar ** | udisks_filesystem_dup_mount_points ()
void | udisks_filesystem_set_mount_points ()
void | udisks_filesystem_proxy_new ()
UDisksFilesystem * | udisks_filesystem_proxy_new_finish ()
UDisksFilesystem * | udisks_filesystem_proxy_new_sync ()
void | udisks_filesystem_proxy_new_for_bus ()
UDisksFilesystem * | udisks_filesystem_proxy_new_for_bus_finish ()
UDisksFilesystem * | udisks_filesystem_proxy_new_for_bus_sync ()
UDisksFilesystem * | udisks_filesystem_skeleton_new ()

## Properties

GStrv | mount-points | Read / Write
guint64 | size | Read / Write

## Signals

gboolean | handle-check | Run Last
gboolean | handle-mount | Run Last
gboolean | handle-repair | Run Last
gboolean | handle-resize | Run Last
gboolean | handle-set-label | Run Last
gboolean | handle-take-ownership | Run Last
gboolean | handle-unmount | Run Last

## Types and Values

| UDisksFilesystem
struct | UDisksFilesystemIface
struct | UDisksFilesystemProxy
struct | UDisksFilesystemProxyClass
struct | UDisksFilesystemSkeleton
struct | UDisksFilesystemSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksFilesystem
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksFilesystemSkeleton
        │       ╰── UDisksLinuxFilesystem
        ╰── GDBusProxy
            ╰── UDisksFilesystemProxy

## Prerequisites

UDisksFilesystem requires GObject.

## Implemented Interfaces

UDisksFilesystemProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksFilesystem.

UDisksFilesystemSkeleton implements GDBusInterface and UDisksFilesystem.

## Known Implementations

UDisksFilesystem is implemented by UDisksFilesystemProxy, UDisksFilesystemSkeleton and UDisksLinuxFilesystem.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Filesystem D-Bus interface in C.

## Functions

### udisks_filesystem_interface_info ()

    GDBusInterfaceInfo *
    udisks_filesystem_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Filesystem D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_filesystem_override_properties ()

    guint
    udisks_filesystem_override_properties (GObjectClass *klass,
                                           guint property_id_begin);

Overrides all GObject properties in the UDisksFilesystem interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_filesystem_call_mount ()

    void
    udisks_filesystem_call_mount (UDisksFilesystem *proxy,
                                  GVariant *arg_options,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Mount()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_mount_finish()` to get the result of the operation.

See `udisks_filesystem_call_mount_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_filesystem_call_mount_finish ()

    gboolean
    udisks_filesystem_call_mount_finish (UDisksFilesystem *proxy,
                                         gchar **out_mount_path,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_filesystem_call_mount()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
out_mount_path | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_mount()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_filesystem_call_mount_sync ()

    gboolean
    udisks_filesystem_call_mount_sync (UDisksFilesystem *proxy,
                                       GVariant *arg_options,
                                       gchar **out_mount_path,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Mount()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_mount()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
out_mount_path | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_filesystem_complete_mount ()

    void
    udisks_filesystem_complete_mount (UDisksFilesystem *object,
                                      GDBusMethodInvocation *invocation,
                                      const gchar *mount_path);

Helper function used in service implementations to finish handling invocations of the `Mount()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]
mount_path | Parameter to return. |

### udisks_filesystem_call_unmount ()

    void
    udisks_filesystem_call_unmount (UDisksFilesystem *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Unmount()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_unmount_finish()` to get the result of the operation.

See `udisks_filesystem_call_unmount_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_filesystem_call_unmount_finish ()

    gboolean
    udisks_filesystem_call_unmount_finish (UDisksFilesystem *proxy,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `udisks_filesystem_call_unmount()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_unmount()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_filesystem_call_unmount_sync ()

    gboolean
    udisks_filesystem_call_unmount_sync (UDisksFilesystem *proxy,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously invokes the `Unmount()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_unmount()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_filesystem_complete_unmount ()

    void
    udisks_filesystem_complete_unmount (UDisksFilesystem *object,
                                        GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Unmount()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_filesystem_call_resize ()

    void
    udisks_filesystem_call_resize (UDisksFilesystem *proxy,
                                   guint64 arg_size,
                                   GVariant *arg_options,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `Resize()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_resize_finish()` to get the result of the operation.

See `udisks_filesystem_call_resize_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.7.2

### udisks_filesystem_call_resize_finish ()

    gboolean
    udisks_filesystem_call_resize_finish (UDisksFilesystem *proxy,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_filesystem_call_resize()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_resize()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_call_resize_sync ()

    gboolean
    udisks_filesystem_call_resize_sync (UDisksFilesystem *proxy,
                                        guint64 arg_size,
                                        GVariant *arg_options,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `Resize()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_resize()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_size | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_complete_resize ()

    void
    udisks_filesystem_complete_resize (UDisksFilesystem *object,
                                       GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Resize()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.7.2

### udisks_filesystem_call_check ()

    void
    udisks_filesystem_call_check (UDisksFilesystem *proxy,
                                  GVariant *arg_options,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Check()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_check_finish()` to get the result of the operation.

See `udisks_filesystem_call_check_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.7.2

### udisks_filesystem_call_check_finish ()

    gboolean
    udisks_filesystem_call_check_finish (UDisksFilesystem *proxy,
                                         gboolean *out_consistent,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_filesystem_call_check()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
out_consistent | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_check()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_call_check_sync ()

    gboolean
    udisks_filesystem_call_check_sync (UDisksFilesystem *proxy,
                                       GVariant *arg_options,
                                       gboolean *out_consistent,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Check()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_check()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
out_consistent | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_complete_check ()

    void
    udisks_filesystem_complete_check (UDisksFilesystem *object,
                                      GDBusMethodInvocation *invocation,
                                      gboolean consistent);

Helper function used in service implementations to finish handling invocations of the `Check()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]
consistent | Parameter to return. |

Since: 2.7.2

### udisks_filesystem_call_repair ()

    void
    udisks_filesystem_call_repair (UDisksFilesystem *proxy,
                                   GVariant *arg_options,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `Repair()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_repair_finish()` to get the result of the operation.

See `udisks_filesystem_call_repair_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.7.2

### udisks_filesystem_call_repair_finish ()

    gboolean
    udisks_filesystem_call_repair_finish (UDisksFilesystem *proxy,
                                          gboolean *out_repaired,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_filesystem_call_repair()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
out_repaired | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_repair()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_call_repair_sync ()

    gboolean
    udisks_filesystem_call_repair_sync (UDisksFilesystem *proxy,
                                        GVariant *arg_options,
                                        gboolean *out_repaired,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `Repair()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_repair()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
out_repaired | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_complete_repair ()

    void
    udisks_filesystem_complete_repair (UDisksFilesystem *object,
                                       GDBusMethodInvocation *invocation,
                                       gboolean repaired);

Helper function used in service implementations to finish handling invocations of the `Repair()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]
repaired | Parameter to return. |

Since: 2.7.2

### udisks_filesystem_call_take_ownership ()

    void
    udisks_filesystem_call_take_ownership (UDisksFilesystem *proxy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `TakeOwnership()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_take_ownership_finish()` to get the result of the operation.

See `udisks_filesystem_call_take_ownership_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.7.2

### udisks_filesystem_call_take_ownership_finish ()

    gboolean
    udisks_filesystem_call_take_ownership_finish
                                   (UDisksFilesystem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_call_take_ownership()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_take_ownership()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_call_take_ownership_sync ()

    gboolean
    udisks_filesystem_call_take_ownership_sync
                                   (UDisksFilesystem *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `TakeOwnership()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_take_ownership()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.7.2

### udisks_filesystem_complete_take_ownership ()

    void
    udisks_filesystem_complete_take_ownership
                                   (UDisksFilesystem *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `TakeOwnership()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.7.2

### udisks_filesystem_call_set_label ()

    void
    udisks_filesystem_call_set_label (UDisksFilesystem *proxy,
                                      const gchar *arg_label,
                                      GVariant *arg_options,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `SetLabel()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_call_set_label_finish()` to get the result of the operation.

See `udisks_filesystem_call_set_label_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_label | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_filesystem_call_set_label_finish ()

    gboolean
    udisks_filesystem_call_set_label_finish
                                   (UDisksFilesystem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_call_set_label()`.

#### Parameters

proxy | A UDisksFilesystemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_call_set_label()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_filesystem_call_set_label_sync ()

    gboolean
    udisks_filesystem_call_set_label_sync (UDisksFilesystem *proxy,
                                           const gchar *arg_label,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `SetLabel()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_filesystem_call_set_label()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksFilesystemProxy. |
arg_label | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_filesystem_complete_set_label ()

    void
    udisks_filesystem_complete_set_label (UDisksFilesystem *object,
                                          GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetLabel()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_filesystem_get_mount_points ()

    const gchar *const *
    udisks_filesystem_get_mount_points (UDisksFilesystem *object);

Gets the value of the "MountPoints" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_filesystem_dup_mount_points()` if on another thread.

[skip]

#### Parameters

object | A UDisksFilesystem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_filesystem_dup_mount_points ()

    gchar **
    udisks_filesystem_dup_mount_points (UDisksFilesystem *object);

Gets a copy of the "MountPoints" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksFilesystem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full][nullable]

### udisks_filesystem_set_mount_points ()

    void
    udisks_filesystem_set_mount_points (UDisksFilesystem *object,
                                        const gchar *const *value);

Sets the "MountPoints" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksFilesystem. |
value | The value to set. |

### udisks_filesystem_proxy_new ()

    void
    udisks_filesystem_proxy_new (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Filesystem. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_proxy_new_finish()` to get the result of the operation.

See `udisks_filesystem_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_filesystem_proxy_new_finish ()

    UDisksFilesystem *
    udisks_filesystem_proxy_new_finish (GAsyncResult *res,
                                        GError **error);

Finishes an operation started with `udisks_filesystem_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemProxy]

### udisks_filesystem_proxy_new_sync ()

    UDisksFilesystem *
    udisks_filesystem_proxy_new_sync (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Filesystem. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_filesystem_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemProxy]

### udisks_filesystem_proxy_new_for_bus ()

    void
    udisks_filesystem_proxy_new_for_bus (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Like `udisks_filesystem_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_filesystem_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_filesystem_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_filesystem_proxy_new_for_bus_finish ()

    UDisksFilesystem *
    udisks_filesystem_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_filesystem_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_filesystem_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemProxy]

### udisks_filesystem_proxy_new_for_bus_sync ()

    UDisksFilesystem *
    udisks_filesystem_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_filesystem_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_filesystem_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksFilesystemProxy]

### udisks_filesystem_skeleton_new ()

    UDisksFilesystem *
    udisks_filesystem_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Filesystem.

#### Returns

The skeleton object.

[transfer full][type UDisksFilesystemSkeleton]

## Types and Values

### UDisksFilesystem

    typedef struct _UDisksFilesystem UDisksFilesystem;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Filesystem.

### struct UDisksFilesystemIface

    struct UDisksFilesystemIface {
      GTypeInterface parent_iface;

      gboolean (*handle_mount) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_set_label) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_label,
        GVariant *arg_options);

      gboolean (*handle_unmount) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      const gchar *const * (*get_mount_points) (UDisksFilesystem *object);

      guint64  (*get_size) (UDisksFilesystem *object);

      gboolean (*handle_check) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_repair) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_resize) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        guint64 arg_size,
        GVariant *arg_options);

      gboolean (*handle_take_ownership) (
        UDisksFilesystem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Filesystem.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_mount` () | Handler for the “handle-mount” signal. |
`handle_set_label` () | Handler for the “handle-set-label” signal. |
`handle_unmount` () | Handler for the “handle-unmount” signal. |
`get_mount_points` () | Getter for the “mount-points” property. |
`get_size` () | Getter for the “size” property. |
`handle_check` () | Handler for the “handle-check” signal. |
`handle_repair` () | Handler for the “handle-repair” signal. |
`handle_resize` () | Handler for the “handle-resize” signal. |
`handle_take_ownership` () | Handler for the “handle-take-ownership” signal. |

### struct UDisksFilesystemProxy

    struct UDisksFilesystemProxy;

The UDisksFilesystemProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksFilesystemProxyClass

    struct UDisksFilesystemProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksFilesystemProxy.

#### Members

### struct UDisksFilesystemSkeleton

    struct UDisksFilesystemSkeleton;

The UDisksFilesystemSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksFilesystemSkeletonClass

    struct UDisksFilesystemSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksFilesystemSkeleton.

#### Members

## Property Details

### The `“mount-points”` property

      “mount-points”             GStrv

Represents the D-Bus property "MountPoints".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksFilesystem

Flags: Read / Write

### The `“size”` property

      “size”                     guint64

Represents the D-Bus property "Size".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksFilesystem

Flags: Read / Write

Default value: 0

## Signal Details

### The `“handle-check”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Check()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_check()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.7.2

### The `“handle-mount”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Mount()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_mount()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-repair”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Repair()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_repair()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.7.2

### The `“handle-resize”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   guint64                arg_size,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Resize()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_resize()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_size | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.7.2

### The `“handle-set-label”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_label,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetLabel()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_set_label()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_label | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-take-ownership”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `TakeOwnership()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_take_ownership()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.7.2

### The `“handle-unmount”` signal

    gboolean
    user_function (UDisksFilesystem      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Unmount()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_filesystem_complete_unmount()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksFilesystem. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last